MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
IdTable Class Reference

A table that maps id numbers to position numbers. More...

`#include <IdTable.hxx>`

## Public Member Functions
| IdTable (unsigned _size)
| ~IdTable ()
int | IdToPosition (unsigned id) const
unsigned | GenerateId ()
unsigned | Insert (unsigned position)
void | Move (unsigned id, unsigned position)
void | Erase (unsigned id)

## Detailed Description

A table that maps id numbers to position numbers.

Definition at line 32 of file IdTable.hxx.

## Constructor & Destructor Documentation

IdTable::IdTable | ( | unsigned | _size | ) |
| inline

Definition at line 40 of file IdTable.hxx.

IdTable::~IdTable | ( |  | ) |
| inline

Definition at line 44 of file IdTable.hxx.

## Member Function Documentation

void IdTable::Erase | ( | unsigned | id | ) |
| inline

Definition at line 83 of file IdTable.hxx.

unsigned IdTable::GenerateId | ( |  | ) |
| inline

Definition at line 54 of file IdTable.hxx.

int IdTable::IdToPosition | ( | unsigned | id | ) | const
| inline

Definition at line 48 of file IdTable.hxx.

unsigned IdTable::Insert | ( | unsigned | position | ) |
| inline

Definition at line 70 of file IdTable.hxx.

void IdTable::Move | ( | unsigned | id,
|  | unsigned | position
| ) |  |
| inline

Definition at line 76 of file IdTable.hxx.

The documentation for this class was generated from the following file:

- queue/IdTable.hxx